Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## name.milesparker.markets
Class Instrument

    java.lang.Object
      org.ascape.model.AscapeObject
          org.ascape.model.Agent
              org.ascape.model.LocatedAgent
                  org.ascape.model.Cell
                      org.ascape.model.CellOccupant
                          name.milesparker.markets.Instrument

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, Location, Node, HasName, RandomFunctions

    public class Instrument

extends CellOccupant

Instrument Java Implementation. Generated by AMF for model: Markets.metaabm in project: org.eclipse.amp.amf.examples.escape

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.ascape.model.CellOccupant
`PLAY_HOST_RULE, RANDOM_WALK_AVAILABLE_RULE`

Fields inherited from class org.ascape.model.Cell
`CALCULATE_NEIGHBORS_RULE, neighbors, PLAY_NEIGHBORS_RULE, PLAY_RANDOM_NEIGHBOR_RULE`

Fields inherited from class org.ascape.model.LocatedAgent
`agentSize, coordinate, MOVE_RANDOM_LOCATION_RULE, RANDOM_WALK_RULE, thisUpdate`

Fields inherited from class org.ascape.model.Agent
`DEATH_RULE, FISSIONING_RULE, FORCE_DIE_RULE, FORCE_FISSION_RULE, FORCE_MOVE_RULE, INITIALIZE_RULE, ITERATE_AND_UPDATE_RULE, ITERATE_RULE, METABOLISM_RULE, MOVEMENT_RULE, PLAY_OTHER, UPDATE_RULE`

Fields inherited from class org.ascape.model.AscapeObject
`ARBITRARY_SEED, name, PLATFORM_DEFAULT_COLOR, scape`

Constructor Summary
`Instrument()` Constructs a new Instrument.

Method Summary
`void` | `calculateTimeStep(int timeStep)`
`java.lang.Object` | `clone()` Clones the agent, ensuring that a unique id is assigned.
`java.util.List<IAgentChild>` | `getChildren()`
`double` | `getFirmPriceEarningsRatio()` Derive Firm Price Earnings Ratio.
`Markets` | `getMarkets()`
`java.lang.String` | `getName()`
`java.util.List` | `getNetwork()`
`double` | `getOfferPrice()` Gets the Offer Price property for Instrument.
`int` | `getShares()` Gets the Shares property for Instrument.
`StatusEnum` | `getStatus()` Gets the Status property for Instrument.
`double` | `getTotalPrice()` Derive Total Price.
`long` | `getUID()`
`void` | `setOfferPrice(double _offerPrice)` Sets the Offer Price property for Instrument.
`void` | `setShares(int _shares)` Sets the Shares property for Instrument.
`void` | `setStatus(StatusEnum _status)` Sets the Status property for Instrument.
`void` | `startSimulationAgentChild(int timeStep)`

Methods inherited from class org.ascape.model.CellOccupant
`die, findAvailableNeighbors, findNearest, findNearest, findNearest, findNearest, findNearest, findNeighbors, findNeighborsOnHost, findRandomAvailableNeighbor, findRandomNeighbor, findRandomNeighborOnHost, findWithin, findWithin, findWithin, getCoordinate, getHostCell, getHostScape, leave, moveAway, moveTo, moveToRandomLocation, moveToward, playNeighbors, playRandomNeighbor, randomWalk, randomWalkAvailable, setHostCell, setHostScape`

Methods inherited from class org.ascape.model.Cell
`calculateNeighbors, countNeighbors, findOccupants, findRelative, getDistance, getNeighbors, getNeighbors, getOccupant, hostedCondition, initialize, isAvailable, removeOccupant, setNeighbors, setNeighborsList, setNetwork, setOccupant, toString`

Methods inherited from class org.ascape.model.LocatedAgent
`calculateDistance, calculateDistance, countWithin, countWithin, countWithin, findMaximumWithin, findWithin, getAgentSize, hasWithin, hasWithin, hasWithin, isUpdateNeeded, moveAway, moveAway, moveTo, moveToward, moveToward, requestUpdate, requestUpdateNext, setAgentSize, setCoordinate`

Methods inherited from class org.ascape.model.Agent
`clearDeleteMarker, death, deathCondition, execute, execute, fission, fissionCondition, fissioning, getColor, getColor, getImage, getImage, getIteration, getPlatformColor, getRoot, isDelete, isInitialized, iterate, markForDeletion, metabolism, move, movement, movementCondition, play, scapeCreated, setInitialized, setScape, update`

Methods inherited from class org.ascape.model.AscapeObject
`diffDeep, diffDeep, diffDeepBFS, diffDeepDFS, diffDeepValidate, diffDeepVisit, equalsDeep, equalsDeep, equalsDeep, getComparisonStream, getRandom, getRandomSeed, getScape, randomInRange, randomInRange, randomIs, randomToLimit, reseed, setComparisonStream, setName, setRandom, setRandomSeed`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.ascape.model.space.Location
`clearDeleteMarker, isDelete, markForDeletion, setCoordinate`

Constructor Detail

### Instrument

    public Instrument()

  Constructs a new Instrument.

Method Detail

### getChildren

    public java.util.List<IAgentChild> getChildren()

### getUID

    public long getUID()

### clone

    public java.lang.Object clone()

  Clones the agent, ensuring that a unique id is assigned.

  Specified by:
    `clone` in interface `Location`
  Overrides:
    `clone` in class `CellOccupant`
  Returns:
    the object

### getMarkets

    public Markets getMarkets()

### getNetwork

    public java.util.List getNetwork()

  Overrides:
    `getNetwork` in class `Cell`

### startSimulationAgentChild

    public void startSimulationAgentChild(int timeStep)

### calculateTimeStep

    public void calculateTimeStep(int timeStep)

### getTotalPrice

    public double getTotalPrice()

  Derive Total Price.

### getFirmPriceEarningsRatio

    public double getFirmPriceEarningsRatio()

  Derive Firm Price Earnings Ratio.

### getShares

    public int getShares()

  Gets the Shares property for Instrument.

  Returns:

### setShares

    public void setShares(int _shares)

  Sets the Shares property for Instrument.

  Parameters:
    `_shares` - the new Shares value

### getStatus

    public StatusEnum getStatus()

  Gets the Status property for Instrument.

  Returns:

### setStatus

    public void setStatus(StatusEnum _status)

  Sets the Status property for Instrument.

  Parameters:
    `_status` - the new Status value

### getOfferPrice

    public double getOfferPrice()

  Gets the Offer Price property for Instrument.

  Returns:

### setOfferPrice

    public void setOfferPrice(double _offerPrice)

  Sets the Offer Price property for Instrument.

  Parameters:
    `_offerPrice` - the new Offer Price value

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `HasName`
  Overrides:
    `getName` in class `AscapeObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD